<?php

/**
 * Implementation of hook_views_data_alter().
 */
function presentation_views_data_alter(&$data) {
  $data['node']['presentation'] = array(
    'title' => t('Presentation node'),
    'help' => t('Whether the node is enabled for presentations.'),
    'filter' => array(
      'handler' => 'presentation_views_handler_filter_presentation',
    ),
  );
  $data['node']['presentation_path'] = array(
    'field' => array(
      'title' => t('Presentation path'),
      'help' => t('The path to the presentation view of this node.'),
      'handler' => 'presentation_views_handler_field_show_path',
    ),
  );
  $data['node']['presentation_link'] = array(
    'field' => array(
      'title' => t('Presentation link'),
      'help' => t('Link to the presentation view of this node.'),
      'handler' => 'presentation_views_handler_field_show_link',
    ),
  );
}

/**
 * Implementation of hook_views_handlers().
 */
function presentation_views_handlers() {
  return array(
    'info' => array(
      'path' => drupal_get_path('module', 'presentation') . '/includes',
    ),
    'handlers' => array(
      // Filters
      'presentation_views_handler_filter_presentation' => array(
        'parent' => 'views_handler_filter',
      ),
      // Fields
      'presentation_views_handler_field_show_path' => array(
        'parent' => 'views_handler_field_node_path',
      ),
      'presentation_views_handler_field_show_link' => array(
        'parent' => 'views_handler_field_node_link',
      ),
    ),
  );
}